net.fortuna.ical4j.model.property

## Class Created

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Property
    - - net.fortuna.ical4j.model.property.DateProperty
      - - net.fortuna.ical4j.model.property.UtcProperty
        - - net.fortuna.ical4j.model.property.Created

All Implemented Interfaces:
  Serializable

    public class Created
    extends UtcProperty

$Id$ Created: [Apr 6, 2004] Defines a CREATED iCalendar component property.

         4.8.7.1 Date/Time Created

            Property Name: CREATED

            Purpose: This property specifies the date and time that the calendar
            information was created by the calendar user agent in the calendar
            store.

                 Note: This is analogous to the creation date and time for a file
                 in the file system.

            Value Type: DATE-TIME

            Property Parameters: Non-standard property parameters can be
            specified on this property.

            Conformance: The property can be specified once in "VEVENT", "VTODO"
            or "VJOURNAL" calendar components.

            Description: The date and time is a UTC value.

            Format Definition: The property is defined by the following notation:

              created    = "CREATED" creaparam ":" date-time CRLF

              creaparam  = *(";" xparam)

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class net.fortuna.ical4j.model.Property

`ACTION, ATTACH, ATTENDEE, BUSYTYPE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, COUNTRY, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, EXTENDED_ADDRESS, FREEBUSY, GEO, LAST_MODIFIED, LOCALITY, LOCATION, LOCATION_TYPE, METHOD, NAME, ORGANIZER, PERCENT_COMPLETE, POSTALCODE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, REGION, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, STREET_ADDRESS, SUMMARY, TEL, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`Created()` Default constructor.
`Created(DateTime aDate)`
`Created(ParameterList aList, DateTime aDate)`
`Created(ParameterList aList, String aValue)`
`Created(String aValue)`

### Method Summary

### Methods inherited from class net.fortuna.ical4j.model.property.UtcProperty

`getDateTime, setDateTime, setTimeZone, validate`

### Methods inherited from class net.fortuna.ical4j.model.property.DateProperty

`copy, getDate, getTimeZone, getValue, hashCode, isUtc, setDate, setUtc, setValue`

### Methods inherited from class net.fortuna.ical4j.model.Property

`equals, getName, getParameter, getParameters, getParameters, isCalendarProperty, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Created

    public Created()

Default constructor.

#### Created

    public Created(String aValue)
            throws ParseException

Parameters:
  `aValue` - a value string for this component
Throws:
  `ParseException` - where the specified value string is not a valid date-time/date representation

#### Created

    public Created(ParameterList aList,
           String aValue)
            throws ParseException

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component
Throws:
  `ParseException` - where the specified value string is not a valid date-time/date representation

#### Created

    public Created(DateTime aDate)

Parameters:
  `aDate` - a date

#### Created

    public Created(ParameterList aList,
           DateTime aDate)

Parameters:
  `aList` - a list of parameters for this component
  `aDate` - a date